# TrainerPartyTemplate | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class TrainerPartyTemplate

#### Hierarchy (View Summary)

- TrainerPartyTemplate
  - TrainerPartyCompoundTemplate

- Defined in src/data/trainers/TrainerPartyTemplate.ts:5

##### Index

### Constructors

constructor

### Properties

balanced
sameSpecies
size
strength

### Methods

getStrength
isBalanced
isSameSpecies

## Constructors

### constructor

- new TrainerPartyTemplate(
  size: number,
  strength: PartyMemberStrength ,
  sameSpecies?: boolean,
  balanced?: boolean,
  ): TrainerPartyTemplate

  #### Parameters

  - size: number
  - strength: PartyMemberStrength
  - `Optional` sameSpecies: boolean
  - `Optional` balanced: boolean

  #### Returns TrainerPartyTemplate

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:11

## Properties

### balanced

balanced: boolean

- Defined in src/data/trainers/TrainerPartyTemplate.ts:9

### sameSpecies

sameSpecies: boolean

- Defined in src/data/trainers/TrainerPartyTemplate.ts:8

### size

size: number

- Defined in src/data/trainers/TrainerPartyTemplate.ts:6

### strength

strength: PartyMemberStrength

- Defined in src/data/trainers/TrainerPartyTemplate.ts:7

## Methods

### getStrength

- getStrength(_index: number): PartyMemberStrength

  #### Parameters

  - _index: number

  #### Returns PartyMemberStrength

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:18

### isBalanced

- isBalanced(_index: number): boolean

  #### Parameters

  - _index: number

  #### Returns boolean

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:26

### isSameSpecies

- isSameSpecies(_index: number): boolean

  #### Parameters

  - _index: number

  #### Returns boolean

  - Defined in src/data/trainers/TrainerPartyTemplate.ts:22